Doomsday Engine - Bug #511

[Heretic|Hexen] Torch fix not applied (low ceiling)
2008-04-24 09:20 - vermil

Status: New Start date: 2008-04-24
Priority: Normal % Done: 0%
Assignee:

Category: Minor detalil

Target version: Rendering

Description

A small oversight I'd imagine.

The fix to stop the fire torches in Doom bobbing up and down in areas where the ceiling is too short for some of its sprite frames
hasn't been applied to the equivalent things in Heretic and HeXen.

This notably effect's Heretic's fire brazier. Like Doom's fire torches, not all of its frames have the same height.

Labels: Graphics

History

#1 - 2009-11-14 13:12 - danij

skyjake is there any reason why the positioning method flagged DDMF_NOFITBOTTOM is not the default? It seems to me that this method fits that
used in the original games.

| understand that this is to prevent them being 'cut off' when intersecting floor planes but is that not preferable to having them 'jump'?

Also related: https://sourceforge.net/tracker/?func=detail&aid=2788309&group_id=74815&atid=542099

There must be a better solution to this problem than moving the sprites.

#2 - 2010-03-20 18:44 - vermil

Attachments:

e http://sourceforge.net/p/deng/bugs/_discuss/thread/b3715978/7a59/attachment/LightTest.wad

#3 - 2012-08-27 19:13 - skyjake

- milestone: v1.9.0-beta5 --> v1.9.0-betab

#4 - 2013-10-22 15:51 - skyjake
- Tags set to Heretic, Hexen, Animation
- Category set to Minor detail

- Target version deleted (1.9.0-beta6)

#5 - 2013-10-22 15:51 - skyjake

- Subject changed from [Heretic/Hexen] Torch fix not applied (low ceiling) to [Heretic/[Hexen] Torch fix not applied (low ceiling)

#6 - 2017-04-03 14:56 - skyjake

- Target version set to Rendering
